#!/bin/sh
# $1 stands for ghc version

if [ ! -d libraries ]; then
    echo Is libraries in a ghc source tree?
    exit 1
fi

if [ "$1" = "" ]; then
    echo Empty ghc version
    exit 1
fi

cd libraries

grep -i ^version: $(find * -name "*.cabal" | sort) \
    | grep -v -e "\(example\|Win32\|cabal-\|Cabal-[^s][^y]\|buildinfo-\|gmp.old\|gmp2\|integer-simple\|tests\|bench\)" \
    | sed -e "s|.*/\([^/]*\).cabal:[Vv]ersion: \+|\1 |" \

grep -i ^version: $(find * -name "*.cabal.in" | sort) \
    | grep -v -e "\(example\|Win32\|cabal-\|Cabal-[^s][^y]\|buildinfo-\|gmp.old\|gmp2\|integer-simple\|tests\|bench\)" \
    | sed -e "s|.*/\([^/]*\).cabal.in:[Vv]ersion: \+|\1 |" \
    | sed -e "s|@ProjectVersionMunged@|$1|"
